Reply
Highlighted

VB.NET selecting face

Hello,

 

I am trying to automatically convert part files to synchronous sheet metal using:

 

 oApp.StartCommand(SolidEdgeConstants.PartCommandConstants.PartTransformToSyncSheetmetal)

The command becomes active but thais is where I am stuck. How do I select a base face for this command using VB.NET?

 

Thanks,

Silver Reinart

2 REPLIES

Re: VB.NET selecting face

Hi @Reinart,

if you start a command in Solid Edge using the StartCommand() method this is the same as if the use clicks on the button in the ribbon bar of the application. 

You have no possibility to do something with you program until the commant is finished (see ApplicationEvents, AfterCommandRun)

To do something similar as this command you have to use appropriate objects of the PartDocument objcents and their methods.

regards

JB
VS2013, SE ST9 and lower

Re: VB.NET selecting face